# 32/64bit spec-file
#
Summary:	A small taskmanager for Xfce desktop environment
Name:		xfce4-taskmanager
Version:	1.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-taskmanager
Source0:	http://goodies.xfce.org/releases/xfce4-taskmanager/%{name}-%{version}.tar.xz
Source1:	xfce4-taskmanager.desktop
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	gtk2-devel
BuildRequires:	libwnck-devel
BuildRequires:	atk-devel
BuildRequires:	glib2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	xfce4-dev-tools
BuildRequires:	libpthread-stubs
#BuildRequires:	exo
BuildRequires:	gettext-devel
Requires:	xfdesktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
xfce-taskmanager is a small taskmanager based on the Xfce libraries.

Features:
    * Lists up all tasks of the running System
    * Provides sending signals to tasks:
    - STOP
    - CONT
    - TERM
    - KILL

#german
%description -l de
xfce-taskmanager ist ein kleiner Taskmanager auf dem Xfce-Bibliotheken. 

Features: 
     * Listet alle Aufgaben der laufenden System 
     * Bietet Signale an die Aufgaben: 
     - STOP 
     - CONT 
     - TERM 
     - KILL

#french
%description -l fr
xfce-taskmanager est un petit gestionnaire de tâches repose sur les bibliothèques Xfce. 

Caractéristiques: 
     * Les listes en place toutes les tâches de la gestion du système 
     * Fournit l'envoi de signaux à des tâches: 
     - STOP 
     - CONT 
     - DUREE 
     - KILL

#spanish
%description -l es
xfce-administrador de tareas es un pequeño administrador de tareas sobre la base de las bibliotecas de Xfce. 

Características: 
     * Hasta las listas de todas las tareas de la gestión del sistema 
     * Proporciona el envío de señales a las tareas: 
     - STOP 
     - CONT 
     - PLAZO 
     - KILL

#polish
%description -l pl
xfce-taskmanager is a small taskmanager based on the Xfce libraries.

#serbian
%description -l sr
Ксфце-таскманагер је мали таскманагер заснован на Ксфце библиотеке. 

Избор: 
     * Листе задатака све ради Систем 
     * Пружа шаље сигнале на послове: 
     - Стоп 
     - Цонт 
     - ТРАЈАЊЕ 
     - Убијање

#dutch
%description -l nl
xfce-taskmanager is een klein taskmanager op basis van de Xfce bibliotheken. 

Kenmerken: 
     * Lijsten van alle taken van het lopende System 
     * Geeft het verzenden van signalen aan taken: 
     - STOP 
     - CONT 
     - TERM 
     - KILL

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/%{name}.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%{_iconsdir}/hicolor/*/apps/xc_crosshair.png
%{_iconsdir}/hicolor/*/actions/xc_crosshair.png
%{_iconsdir}/hicolor/*/actions/xc_crosshair.svg

%changelog
* Sat Jun 10 2017 threepio <threepio> 1.2.0-1uplos2017
- rebuild for uplos


* Fri Mar 31 2017 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2017
- 1.2.0

* Thu Jan 15 2015 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2015
- 1.1.0
- add missing BR xfce4-dev-tools, gettext-devel, libpthread-stubs, exo

* Mon Feb 03 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.1-1pclos2014
- 1.0.1
- fix BRs libxfcegui dep was dropped

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.0-5pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.0-4pclos2011
- updated for xfce4.8

* Wed Nov 10 2010 Sproggy <desproggster at gmail.com> 1.0.0-3pclos2010
- update for xfc4.8pre1

* Sat Jul 17 2010 Texstar <texstar at gmail.com> 1.0.0-2pclos2010
- fix menu

* Fri Jul 16 2010 Texstar <texstar at gmail.com> 1.0.0-1pclos2010
- 1.0.0

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 0.4.1-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
